Skip to main content
POST
Rotate the signing secret

Authorizations

X-API-Key
string
header
required

Your AI calling API key (vak_call_…). Authorization: Bearer <key> also works.

Response

The webhook with its new secret.

object
string
Allowed value: "webhook"
url
string
enabled
boolean
events
string[]
Example:
secret
string

The signing secret. Returned only when the endpoint is first set and when the secret is rotated. Store it.

Example:

"whsec_3f9a…"

secret_hint
string

First and last characters of the secret, on reads.

Example:

"whsec_…9c1d"

created_at
string<date-time>
updated_at
string<date-time>